import request from "@/utils/request";

// 查询清朗专项列表
export function listZhuanxiang(query) {
  return request({
    url: "/zongzhi/zhuanxiang/list",
    method: "get",
    params: query,
  });
}

// 查询清朗专项详细
export function getZhuanxiang(id) {
  return request({
    url: "/zongzhi/zhuanxiang/" + id,
    method: "get",
  });
}

// 新增清朗专项
export function addZhuanxiang(data) {
  return request({
    url: "/zongzhi/zhuanxiang",
    method: "post",
    data: data,
  });
}

// 修改清朗专项
export function updateZhuanxiang(data) {
  return request({
    url: "/zongzhi/zhuanxiang",
    method: "put",
    data: data,
  });
}

// 删除清朗专项
export function delZhuanxiang(id) {
  return request({
    url: "/zongzhi/zhuanxiang/" + id,
    method: "delete",
  });
}

// 导出清朗专项
export function exportZhuanxiang(data) {
  return request({
    url: "/zongzhi/zhuanxiang/export",
    method: "post",
    data,
  });
}
